Type to search.

Search cases

Base URL
https://{kibana_url}
  • GET /api/cases/_find
  • GET /s/{space_id}/api/cases/_find
Auth

You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the cases you're seeking.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

assignees union string | string[]

Filters the returned cases by assignees. Valid values are none or unique identifiers for the user profiles. These identifiers can be found by using the suggest user profile API.

category union string | string[]

Filters the returned cases by category.

defaultSearchOperator string · default: OR

he default operator to use for the simple_query_string.

from string

Returns only cases that were created after a specific date. The date must be specified as a KQL data range or date match expression.

Example: now-1d
owner union oneOf

A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

Values: cases observability securitySolution
page integer · default: 1

The page number to return.

perPage integer · max: 100 · default: 20

The number of items to return. Limited to 100 items.

reporters union string | string[]

Filters the returned cases by the user name of the reporter.

Example: elastic

An Elasticsearch simple_query_string query that filters the objects in the response.

searchFields union oneOf

The fields to perform the simple_query_string parsed query against.

Values: description title
severity enum

The severity of the case.

Values: critical high low medium
sortField enum · default: createdAt

Determines which field is used to sort the results.

Values: createdAt updatedAt closedAt title category status severity
sortOrder enum · default: desc

Determines the sort order.

Values: asc desc
status enum

Filters the returned cases by state.

Values: closed in-progress open
tags union string | string[]

Filters the returned cases by tags.

Example: tag-1
to string

Returns only cases that were created before a specific date. The date must be specified as a KQL data range or date match expression.

Example: now+1d

Responses

Indicates a successful call.

application/json
count_closed_cases integer
count_in_progress_cases integer
count_open_cases integer
page integer
per_page integer
total integer